/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demo.netbeans.testejb;

import java.util.Date;
import java.util.concurrent.Future;
import javax.ejb.AsyncResult;
import javax.ejb.Asynchronous;
import javax.ejb.Remote;
import javax.ejb.Stateless;

/**
 *
 * @author ojantz
 */
@Stateless
@Remote(GreeterFacadeRemote.class)
public class GreeterFacade implements GreeterFacadeRemote {
    
    @Override
    public String sayHelloTo(String name) {
        System.out.println(Thread.currentThread().getThreadGroup().getName() + "#" + Thread.currentThread().getName() + ": Saying hello to " + name);
        return "Hello " + name + "! (Called on " + new Date() + ")";
    }

    @Override
    @Asynchronous
    public Future<String> sayHelloToAsync(String name) {
        return new AsyncResult<String>(sayHelloTo(name));
    }

    
}
